Tous les forums > Equipements > Courants dans OpenCPN type GulfStream
588efb78e4b0ec6bb7215c46
PhilippeG

Courants dans OpenCPN type GulfStream

Bonjour,
Existe-t'il des données que l'on peut sauvegarder sur l'ordinateur pour des courants comme le Gulfstream ? Il y a la méthode en passant par Saildocs et en spécifiant les courants, mais il faut une connexion Internet et ce n'est valable que pour une période donnée.
Merci d'avance,
Phil

mardi 12 mars 2019 17:42

Liste des contributions

  • Merci. PHIL [WINNIE II] jeudi 14 mars 2019 22:41
Avatar
roberto

Bonjour Philippe,
quel genre spécifique de données voudrais tu?
Dans le sens, numérique pour traitement de donnée genre routage, ou bien graphique? Plutôt prévisions ou données climatiques?
r.

edit
ps désolé je n'avais pas vu que c'était pour opencpn

mardi 12 mars 2019 18:36 *** Message modifié par son auteur ***
588efb78e4b0ec6bb7215c46
1
PhilippeG

Oui, pour OpenCPN et donc pour les CM93 (pour le moment), je verrai plus tard avec des cartes Oenc. Sur les CM que j'ai, j'arrive à voir quelques informations de courant, par exemple entre Floride et Bahamas, sur la carte, mais il faut vraiment y prêter attention et il n'y a que la direction d'indiquée.

mardi 12 mars 2019 18:53 *** Message modifié par son auteur ***
Avatar
roberto

Entre Floride et Bahamas en gros ce sont des différences de vitesse, ce qui est eventuellement plus important ce sont les méandres chauds et froids qui se forment quand le courant abandonne les US et part vers l'est, mais bon là on a besoin d'une mise à jour au moins hebdomadaire/ mieux 2-3x/semaine; on peut les recevoir par fax (ou email telsat) et les visualiser sur opencpn avec le plugin montré par Pytheas.

mardi 12 mars 2019 23:15
Mafaldahugopratt
1
Pytheas54

Le plugin Weatherfax (dispo pour 4.8.8 et 4.99.../5) permet de télécharger une carte du Gulfstream

https://opencpn.org/OpenCPN/snigulp/weatherfax.html

mardi 12 mars 2019 23:07 *** Message modifié par son auteur ***
Mafaldahugopratt
Pytheas54

Il y a bien sûr les gribs ROTFS sur 5 jours disponibles par Saildocs, qui sont bien affichés par OpenCpn (avec le paramètre de visualisation et d'animation des flux )

RTOFS:37N,24N,082W,065W|0.05,0.06|0,24,48,72,96,120

mardi 12 mars 2019 23:32
Mafaldahugopratt
Pytheas54

Si la question était: existe-t-il des statistiques mensuelles sur la position du Gulfstream, on peut consulter les Pilots Charts, lisibles sur OpenCpn
Téléchargeables ici
https://opencpn.org/OpenCPN/info/pilotcharts.html
Exemple en mars

mercredi 13 mars 2019 09:35
Mafaldahugopratt
Pytheas54

Statistiques trimestrielles (images seulement)
https://oceancurrents.rsmas.miami.edu/atlantic/gulf-stream_4.php

mercredi 13 mars 2019 10:05
588efb78e4b0ec6bb7215c46
PhilippeG

Merci à tous, particulièrement Pytheas ! Par contre je me suis rendu compte que je ne pouvais installer Weatherfax, le plugin n'existe plus (!) et même en forçant l'installation (Linux), rien à faire.

sudo apt-get -o Dpkg::Options::=“–force-overwrite” install opencpn-plugin-weatherfax
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet opencpn-plugin-weatherfax

Je vais donc voir avec Saildoc, qui oblige à une liaison Internet.
Par contre, et c'est une drôle de révélation pour moi, j'ai bien sûr les PilotCharts, mais je me suis rendu compte qu'en fait, les courants, je les percevais mal et ne voyais pas très bien. La couleur vert clair, peut-être?

mercredi 13 mars 2019 10:35 *** Message modifié par son auteur ***
Mafaldahugopratt
Pytheas54

Ne peux-tu pas compiler ce plugin ?
https://github.com/rgleason/weatherfax_pi

mercredi 13 mars 2019 10:46
588efb78e4b0ec6bb7215c46
PhilippeG

... Je n'y arrive pas, il me fait une erreur disant qu'il ne trouve pas CMakeLists.txt. Je ne sais pas compiler, à chaque fois il y a ce genre d'erreur, donc je laisse tomber, ne comprenant pas...

mercredi 13 mars 2019 12:24
Mafaldahugopratt
Pytheas54

Fait un MP à Stelian sur ce forum, c'est un pro toujours prêt à aider...

mercredi 13 mars 2019 12:26
Img_20180618_163612
juliusse

Ola philippe, je vais essayer de faire simple. Avant de compiler un programme, normalement, il faut avoir les utilitaires et dépendances nécessaires. Le truc c'est que Ubuntu manque de pas mal de ces outils naturellement.
De plus, et c'est une tendance qui se généralise sur GitHub, mais pas mal de devs assument que ceux qui compilent savent ce qu'ils font et "oublient" un peu les bonnes pratiques du bon vieux temps (ça fait vieux con de dire ça ?) et ont tendance à mettre des readme plus que succincts.(alors que normalement il est important de bien le rédiger en mentionnant les dépendances nécessaires, les utilitaires, etc...)
Essayes avant de compiler d'installer tout ça, c'est ce qui est nécessaire à la compilation d'opencpn sous Ubuntu. (Vu que rien n'est précisé dans le readme de weather plugin, a priori, ça doit pouvoir se compiler avec les bases nécessaires à opencpn).

sudo apt-get install build-essential cmake gettext git-core gpsd gpsd-clients libgps-dev wx-common libwxgtk3.0-dev libglu1-mesa-dev libgtk2.0-dev wx3.0-headers libbz2-dev libtinyxml-dev libportaudio2 portaudio19-dev libcurl4-openssl-dev libexpat1-dev libcairo2-dev libarchive-dev liblzma-dev libexif-dev libelf-dev libsqlite3-dev
(Si certains sont déjà installés, apt-get gérera ça, normalement...)
Ensuite,
git clone git://github.com/seandepagnier/weatherfax_pi.git
mkdir build
cd build
cmake ..
make
sudo make install

Si tu veux je ferai un essai sur machine virtuelle cet après midi ou demain et je te tiens au jus.

mercredi 13 mars 2019 13:03
588efb78e4b0ec6bb7215c46
PhilippeG

@Juliusse, je suis d'accord avec toi sur Ubuntu, il manque pas mal d’utilitaires et dépendances et ce depuis la V18. j'ai d'ailleurs pas mal de soucis avec cette dernière version, apparemment pas finie car l’explorateur d'origine refuse de me faire une recherche de fichier ou dossier. Mais ceci est une autre histoire...
J'ai appliqué ta ligne de commande, merci, sympa comme tout !!
J'ai rebooté, mais :
phil@phil-B5130M:~$ git clone git://github.com/seandepagnier/weatherfax_pi.git
fatal: le chemin de destination 'weatherfax_pi' existe déjà et n'est pas un répertoire vide.
phil@phil-B5130M:~$ mkdir build
mkdir: impossible de créer le répertoire «build»: Le fichier existe
phil@phil-B5130M:~$ cd build
phil@phil-B5130M:~/build$ cmake ..
CMake Error: The source directory "/home/phil" does not appear to contain CMakeLists.txt.
Specify --help for usage, or press the help button on the CMake GUI.
phil@phil-B5130M:~/build$ make
make: *** Pas de cible spécifiée et aucun makefile n'a été trouvé. Arrêt.
phil@phil-B5130M:~/build$

Donc, voilà... Je vais faire une sieste et peut-être me faire un LiveUSB d'un autre OS si ça continue...

mercredi 13 mars 2019 13:58
Mafaldahugopratt
Pytheas54

Bon, j'ai compilé et ça fonctionne pour la version 4.99.1508...(Ubuntu Cosmic)

1 - Pour le sudo apt-get install, il faut ajouter librtlsdr-dev
2 - Si tu as déjà un répertoire weatherfax_pi, il faut le détruire d'abord avec de faire git clone ... (rmdir )
3 - Après git clone git://github.com/seandepagnier/weatherfax_pi.git , il ne faut pas oublier d'aller dans le répertoire weatherfax_pi (je pense que c'est ton erreur principale !)
4 - puis mkdir build et la suite...

Activer weatherfax dans Opencpn, l'ouvrir et faire 'update data sources'. Le téléchargement se fait bien. Seul petit problème, les cartes ne sont pas pré-calibrées comme sur PC. Il faut le faire soi-même...

mercredi 13 mars 2019 14:29 *** Message modifié par son auteur ***
Img_20180618_163612
juliusse

@pytheas a été plus rapide que moi.
Ce qu'il dit est bon.
J'ai testé sur une VM lubuntu 18.04 avec la beta 4.99.1508, ça compile et ça marche.

mercredi 13 mars 2019 15:24
588efb78e4b0ec6bb7215c46
PhilippeG

Merci Pytheas. Le paquet librtlsdr-dev a été installé.
J'ai viré OpenCPN installé par la méthode classique auparavant.
J'ai compilé comme indiqué dans le wiki (c'est à dire que je ne sais pas ce que j'ai fait, simplement cop/coll les instructions qui semblaient logiques et nécessaires...) Ça a mouliné 1/2 heure, je me retrouve avec la version 4.99.1508 qui a changé sa façon de montrer la liste des tâches, onglets, etc. (bof...) et qui semble bêta et incomplet dans l'affichage des onglets ou bulles d'informations et a gardé tous les réglages de dossiers et d'affichage précédent, par contre, cette version, si elle reste comme ça, ça va craindre un peu, mais bon, on verra.

Il ne voulait pas retirer le répertoire weatherfax par le Terminal, je l'ai fait par l'explorateur (faut pas trop me faire ch**r parfois).
Suivis tes indications en n'oubliant pas de changer de répertoire avant de faire le mkdir build et la suite. Tout s'est bien passé.
Redémarré OpenCPN
Été vérifié, le plugin Weatherfax est installé avec "Charger la programmation au démarrage" cochée (?) et la capture fixée sur "audio", seule option possible (another ?).

Lorsque je clique sur l’icône "barbules" correspondant apparemment à Weatherfax, puis que je vais dans les réglages accessibles, apparemment tout semble fonctionner.
Un grand merci pour toi !
Un grand merci à Juliusse mais tu as encore été plus vite que ton clavier en oubliant un paramètre !
Bon, je n'ai plus qu'à désinstaller cette version d'OpenCPN puis réinstaller la dernière stable...

Je ne pensais pas qu'en posant une question sur les courants on ferait plus de l'installation de programme qu'autre chose !
Inconvénient, là, il faut donc Internet. Les PilotCharts (mode offline) sont moins précis mais permettent une évaluation (à condition de les lire correctement...).
Encore merci à vous deux, j'espère que ça servira à d'autres membres.
Je vais aller de ce pas m'occuper de voir ce qui va remplacer Xubuntu, car aller demander de l'aide ou signaler un problème semble identique à pisser dans un violon.

mercredi 13 mars 2019 15:38
Img_20180618_163612
1
juliusse

En passant, il me semble que librtlsdr-dev n'est pas signalé ni dans la doc, ni sur GitHub comme dépendance du plugin weatherfax.
@philippe, désolé, j'avais oublié de te dire de te placer dans le répertoire weatherfax_pi, c'est vrai que cela coule de source pour moi, mais que ce n'est pas forcément évident à un non habitué.
Pour le remplacement de xubuntu, choisir quand même une distribution assez simple ET qui possède un paquet opencpn, cela t'évitera de galérer.

https://repology.org/project/opencpn/versions

mercredi 13 mars 2019 15:49
Mafaldahugopratt
1
Pytheas54

D'accord avec Juliusse... Conserve surtout Xubuntu (ou une autre version d'Ubuntu). En ayant accès au PPA d'Opencpn (y compris celui de bdbcat), les mises à jour d'OpenCpn et des plugins se feront sans douleur.
On est ici dans le cas exceptionnel où le paquet de ce plugin n'est pas (encore) dispo.
Et si je peux me permettre. Investis dans un petit bouquin sur les commandes élémentaires de Linux (Ubuntu). Tu sauras ainsi par exemple que rmdir ne fonctionne que si le répertoire est vide (une sécurité). rm *.* supprime tous les fichiers du répertoire, donc à faire avant la commande rmdir. Tu auras facilement de l'aide avec une distro classique, la preuve ici...
Un dernier conseil. Si tu peux, installe en parallèle une version Windows, la 7 par exemple si ton ordi est limité, mais pas antérieure. On a ainsi le meilleur des deux mondes....
PS Je ne connaissais pas repology ! merci !

mercredi 13 mars 2019 16:16 *** Message modifié par son auteur ***
588efb78e4b0ec6bb7215c46
PhilippeG

OK, je vais rester sous Xubuntu, la seule version qui ne soit pas trop lourde et presque complète. Comment faire pour enlever ce que j'ai compilé précédemment? Je déplace les fichiers OpenCPN qui sont dans mon home à la poubelle et je réinstalle à partir du site opencpn.org?
QUi est (ou c'est quoi) que "bdbcat", le dépôt de David Register ?
Pour le bouquin, oui, il faut ça, car même si j'ai des mémos, il m'arrive de ne plus les retrouver ou de mal les comprendre. Et je me suis mélangé lamentablement entre rm et rmdir...
Concernant Win7, j'ai en dualboot Win7 car Win10 est trop "lourd" et orienté espionnage et gadgets et j'ai assez d'une femme, pas besoin de Cortana et ses clones installés dans des programmes indésirable et non dé-installables comme XBox...

mercredi 13 mars 2019 17:52
Img_20180618_163612
juliusse

Pour désinstaller un programme compilé, il faut que tu te places dans le répertoire où tu l'as compilé, et ensuite tu fait
sudo make uninstall
Ensuite tu peux supprimer ce répertoire. Tu auras quand même toujours les dépendances (tous les libxxxx que tu as installé avec apt) d'installes. Ce n'est pas forcément grave dans la mesure où ce sont quand même des utilitaires qui pourront te servir le jour où tu auras besoin de compiler.(et dont Ubuntu manque nativement).
Pour réinstaller opencpn avec apt(méthode classique si il en est):
Tu suis la procédure classique, ajouter le ppa, update, et installation.
Le ppa: opencpn c'est la stable
Le ppa:bdbcat c'est la beta. C'est le dépôt de Dave.
Attention, si tu veux installer la beta depuis le dépôt bdbcat, il te faudra d'abord une version stable installée.

mercredi 13 mars 2019 18:13
588efb78e4b0ec6bb7215c46
PhilippeG

Merci juliusse !
Enfin, presque, en retour de la commande "sudo make uninstall" j'ai :
make: *** Aucune règle pour fabriquer la cible « uninstall ». Arrêt.

Je suis en train de chercher sur les tuto Ubuntu...
Bon. Je vais virer les répertoires créés par la compilation, car de toute façon, c'est la version "beta" qui fonctionne et pas celle des dépôts, et si ça me fatigue trop, formatage et basta...

mercredi 13 mars 2019 18:39 *** Message modifié par son auteur ***
Mafaldahugopratt
Pytheas54

Voir
https://launchpad.net/~bdbcat/+archive/ubuntu/opencpn

en particulier
Adding this PPA to your system
et en cliquant sur 'signing key (what is it ?)

mercredi 13 mars 2019 18:59 *** Message modifié par son auteur ***
Mafaldahugopratt
Pytheas54

Malgré ce que disent les puristes qui font tout en lignes de commande, Ubuntu possède des outils conviviaux pour effectuer des tâches complexes comme installer ou désinstaller une appli
1 - Synaptic (je pense que ça existe sur Xubuntu ?) image 1 exemple de désinstallation complète
2 - Logiciels Ubuntu, qui est un répertoire de centaines d'appli qui s'installent en 1 clic (image 2)
3 - Logiciels &mises à jour, qui gère les mises à jour et beaucoup d'autres choses... (image 3)

mercredi 13 mars 2019 19:26 *** Message modifié par son auteur ***
Img_20180618_163612
juliusse

@philippe, avant de désinstaller, tu t'étais placé dans le répertoire ?
Si oui, le résultat de la commande indique qu'il manque les règles de désinstallation. Ce qui ne m'étonne qu'à moitié... Mais ce n'est pas le sujet. En fait il aurait fallu faire autrement lors de l'installation, je n'y ai pas pensé car 1- j'ai présumé que les sources contenaient ces règles 2-je suis sous slackware et je ne compile pas comme ça (je prends les sources et me fait un paquet). 3- j'aime pas Ubuntu...

@pytheas,
Tu as tout à fait raison, les développeurs font aujourd'hui des gui pour gérer les programmes.
Par contre, synaptic oui, logiciel et mises à jour oui pour les mises à jour.
Mais attention ! Logiciels Ubuntu, non! Les logiciels qui y sont sont pour partie des paquets, pour partie des snaps, et aucun moyen pour un débutant de faire la différence entre les deux. Et les snaps sont peut être la pire saleté de ces dernières années.

mercredi 13 mars 2019 19:48
Mafaldahugopratt
Pytheas54

OK, pour logiciels Ubuntu, je prends ton avis en compte...
Il doit exister des règles de désinstallation pour Opencpn, car Synaptic le fait très bien...
Je vais vérifier...

mercredi 13 mars 2019 20:05
Img_20180618_163612
juliusse

Synaptic (ou apt)désinstalle seulement si :
C'est un paquet qui à été installé (via apt, ou un paquet.deb installé via gdebi)
Lors de la compilation on a fait un ./configure, puis un make checkinstall.
Si le paquet à été compilé de façon"classique" il faut que le makefile ait un script de désinstallation.

mercredi 13 mars 2019 20:10
588efb78e4b0ec6bb7215c46
PhilippeG

Justement, je me demande si la dernière version de Xubuntu, donc un Ubuntu de base avec un bureau et des fonctions Xcfe n'aurait pas des soucis.
Je cherche à désinstaller ce que j'ai compilé pour pouvoir remettre la version stable et complète, je n'y arrive pas. Si je désinstalle Opencpn, cette version beta 4.99.1508 est toujours installée et je n'arrive pas à la désinstaller.

Synaptic existe mais il faut l'installer manuellement (du moins sous Xub'), ce qui n'est pas un problème et que j'installe toujours à part. Lorsque j'ouvre Synaptic, une recherche Opencpn ne me donne rien d'installé puisque j'ai installé en décompilant directement par le Terminal.

La logithèque, je l'avais jusqu'à il y a environ une semaine mais impossible de l'avoir depuis la dernière mise à jour de Xub'18.04, j'ai posé la question sur le forum Ubuntu, pas de réponse...

Logiciels et mise à jour s'occupe des ppa et de la version Ubuntu installée.
Et comme dit Juliusse, on a en plus possibilité d'installer par des snaps ou flatpack sans vraiment le savoir, ce qui commence à bien faire question complication et sécurité.

Bon, ma question primaire : comment enlever la version bêta ?
La solution de formater me pend au nez, je le sens...

mercredi 13 mars 2019 20:07
Img_20180618_163612
juliusse

Si tu ne peux pas désinstaller cette version compilée, ce n'est pas la faute à xubuntu, mais à opencpn. Les devs d'opencpn privilégient Ubuntu et les ppa. Du coup, les ppa sont bien maintenus. En contrepartie, dès que tu veux sortir du cadre, a savoir utiliser une autre distribution ou compiler, exit les débutants. Et ça ne date pas d'aujourd'hui. C'est malheureusement de plus en plus répandu comme attitude chez les développeurs.
Par exemple, le fait que les sources n'ont pas de script de désinstallation ne pose pas forcément de problème a quelqu'un d'experimente, qui soit se fera son propre paquet, ou pensera à configurer de façon à pouvoir désinstaller. Mais quelqu'un comme philippe, qui débute, mais qui veut apprendre et comprendre, se retrouve avec un programme qu'il ne peut pas désinstaller. Ce n'est pas la seule"mauvaise pratique" chez opencpn, les mainteneurs des paquets d'opencpn pour les autres distributions (notamment fedora, gentoo, mais aussi slackware et d'autres) pestent régulièrement parce qu'opencpn ne tag pas les releases. Voilà pour le "coup de gueule" je sais c'est un peu HS mais bon.
Concernant snap et flatpak, je recommande de les éviter au maximum, car ce sont des failles potentielles de sécurité.
Concernant ta question, j'ai bien peur que la solution la plus simple à ton niveau soit malheureusement la réinstallation du système. Mais encore une fois, pour le coup ce n'est pas la faute à Ubuntu mais à opencpn (et dieu sait que je suis bien le dernier à défendre Ubuntu)
Il y a bien un truc qu'on peut tenter, si tu veux essayer :
Places toi dans le répertoire où tu as compilé (normalement quelque chose comme~/opencpn...)
Puis tu fais :
sudo su (histoire d'être sûr que tu aies tous les droits)
./configuré
make uninstall

Si cela ne marche pas, le plus simple pour toi, amha sera le formatage.

mercredi 13 mars 2019 22:04
588efb78e4b0ec6bb7215c46
1
PhilippeG

Merci Juliusse. Cette commande ne fonctionne pas (j'ai bien noté qu'il n'y avait pas d'accent. Et je n'ai rien contre Xubuntu vs OpenCPN, mais il y a diverses choses qui ne vont pas dans buntu.
Bon, sauvegarde et format, une petite demi-heure pour réinstaller tout ça.

jeudi 14 mars 2019 10:25
P8010019
PHIL [WINNIE II]

C'est quoi des snaps et des flatpaks ?

jeudi 14 mars 2019 18:18
588efb78e4b0ec6bb7215c46
PhilippeG

Un nouveau format sécurisé pour installer certaines applications sur toutes les versions Ubuntu supérieures à la 16.04.
https://doc.ubuntu-fr.org/snap
https://doc.ubuntu-fr.org/flatpak

Bon, j'ai réinstallé mon Xubuntu, plus aucun problème ni souci de stabilité comme je les avais il y a trois heures, tout baigne vite et bien.
Réinstallation en dualboot sans problème.
Une bonne chose de faite, OpenCPN a retrouvé la version que je voulais.
Merci encore à Juliusse et Pytheas.

jeudi 14 mars 2019 19:01
Img_20180618_163612
juliusse

Les snaps et autres flatpak ne sont pas, contrairement à ce qui est prétendu par Ubuntu, sécurisés.
C'est une nouvelle mode, un format de paquets soi disant universels, pouvant s'installer sur soi disant (encore) n'importe quelle distribution.
En gros c'est un paquet qui contient le programme, ses dépendances et les utilitaires, en un seul bloc et qui s'installe dans une sandbox
Double problème,
1-les dépendances se retrouvent du coup en double voire plus, dans des versions différentes car les développeurs ne suivent pas forcément les mises à jour.
2- après avoir passé plus de 20 ans a mettre au point un système d'installation de programmes Ultra clean et super sécurisé, Ubuntu fait marche arrière et ces paquets, sont du genre programme"a la windows" que l'on télécharge (parfois n'importe où), on installe, et on propage des saloperies genre mineurs de bitcoin et autres Trojans.
Bref, une pure merde.
@philippe, content que tu aies pu réinstaller et que tout soit stable.

jeudi 14 mars 2019 19:29
588efb78e4b0ec6bb7215c46
PhilippeG

Merci Juliusse. Dans le doute, pour snap et flatpak, j'ai donné les liens et l'appréciation "officielle".
En fait - et je te suis dans ton raisonnement - il semblerait que snap ou flatpak m'ai fichu un peu la pagaille dans l'ordinateur.

J'ai réinstallé, très facile et rapide lorsqu'on prend soin de faire un backup du home (l'équivalent du dossier personnel Windows, mais qui est systématiquement sur une autre partition, alors que Win laisse tout en vrac dans C:, mais j'ai aussi réinstallé les logiciels que j'avais auparavant car j'ai une liste, les ppa et donc je ne passe pas par flatpak ni snap lors d'une installation à zéro (puisque j'ai même formaté la partition / et le /home).

Mais le fait de me retrouver avec un explorateur (Thunar) qui déconnait, plus d'autres soucis m'ont fait passer un grand coup de balai.

Facile et rapide lorsqu'on prend ses précautions de faire des backup sous Linux. Sous Windows, les mises à jour prennent des jours puisqu'il faut redémarrer du CD souvent ancien (ou que, avec W10, il vient encore de changer de version histoire de réinstaller Cortana et tous les mouchards...).
Là, OpenCPN, Stellarium, LibreOffice, OpenShotVideo, VLC, YoutubeDownload, etc. sont installés.
Mais comment dire à Canonical qu'ils se plantent??

jeudi 14 mars 2019 19:53
Img_20180618_163612
juliusse

Beaucoup de gens ont essayé de dire cela à Canonical, y compris des pointures comme Linus Torvald lui même. Mais Mark Shuttleworth se prends un peu pour un autre Mark en ce moment. L'avenir dira si il a raison, mais c'est un autre débat.
Je n'ai pas de /home separé, mais je n'en ai pas l'utilité, mon /home n'est qu'une zone temporaire et je suis en monoboot linux sur mes machines depuis longtemps (1998)
Par contre, je fais régulièrement des backups (plutôt des transferts) sur disque dur externe, et je n'ai aucune pitié pour ceux qui ne font pas de backup et pleurent parce qu'ils ont perdu leurs fichiers.
Si tu veux installer des logiciels en mode graphique, sous Ubuntu, utiliser plutôt synaptic, cela n'installe que depuis les dépôts.(ni Snap ni flatpak)
VLC, je m'en sers pas, parole suffit largement sous xfce.
YouTube downloader non plus, j'utilise une extension Firefox pour ça.

jeudi 14 mars 2019 20:21
P8010019
PHIL [WINNIE II]

@ Juliusse
Désolé pour mes questions de débutant ignorant...
À quoi peut-on reconnaître (identifier) si un paquet est, ou non, un snap ou un flatpak ?
C’est écrit dessus ? Ou pas ?
Sur Linux Mint (basé apparemment sur Ubuntu), par exemple, on peut faire son « petit marché » dans un gestionnaire de paquets Synaptic, et/ou dans un gestionnaire de logiciels , un peu à la façon d’un App Store ou d’un Play Store.
Je n’ai pas souvenir d’avoir vu écrit snap ou flatpak dans le descriptif accompagnant la présentation des paquets dans ces gestionnaires...

J’imagine que je ne dois pas être le premier ni le seul novice à me poser la question.

jeudi 14 mars 2019 21:55
Img_20180618_163612
juliusse

C'est justement le problème, ce n'est pas marqué dessus, et du coup tu ne peux pas savoir juste en utilisant le gestionnaire natif (surtout chez Ubuntu et dérivés, les autres distributions n'ont pas ce problème).
Si tu utilises synaptic, tu es tranquille, synaptic ne gère que les paquets "normaux".
Pour le gestionnaire de logiciels mint, je ne suis pas sûr (mais je n'ai jamais utilisé mint).
Par le terminal, tout ce que tu installes via apt est un paquet "normal". Les snaps et flatpak ne s'installent que via une commande spéciale.

jeudi 14 mars 2019 22:17
P8010019
jeudi 14 mars 2019 22:41
Dsc_7410
1
jackx308

Le Gulfsteam est toujours présent. De la Floride aux Bahamas, surement Bimini. il y a 45 miles . Le plus important est de ne pas partir avec un vent du Nord, donc contre courant ce qui lève une mer délicate. Il suffit de viser beaucoup plus Sud pour anticiper la dérive. Suivant tiran d'eau attention a la passe d’entrée, a ne pas faire l’arrivée de nuit, car mème si les cartes (navionics) sont très précises aux Bahamas, il y a dans cette entrée un banc de sable qui se déplace, et les bouées aux Bahamas ne sont pas toujours a la bonne place et les feux de nuit peuvent être en panne.
Pour finir, et a cause du Gulfstream, prévoir une moyenne très très réduite pour arrivée de jour.

mercredi 13 mars 2019 13:30
Fb_img_1521814363370
ploubaz22

je telecharge les courants pour la manche sur le site grib.weather4d.com
J'ai remarqué que les courants forts sont en vert et les faibles valeurs sont en rouge
Je recherche le moyen d'inverser ces couleurs à l'affichage.
Merci

vendredi 15 mars 2019 18:09

Répondre

Pour participer aux forums, vous devez être inscrit et identifié

Vous identifier | Créer un compte matelot

Retour forums